<template>
    <div>
      <div is='dw_1'/>
      <div is='dw_3'/>
      <el-card class="box-card">
        <div style="height:27pt;margin:4pt;color1:blue">{{ question.subject }}</div>

        <span v-for="(item,index) in question.items" :key="index" :inline="true">
          <el-radio v-model="radio" :label="index">
            <div class="box-redio-span"> {{item.label}}</div> </el-radio>
          <el-input :id="'xxx'+index" :inline="true" label.width="0px" v-if="item.input" style="display:inline"
              :placeholder="item.placeholder"
              v-model="item.content">
          </el-input>
        </span>
      </el-card>
      <div style="padding-left:64pt">
            <el-button>修改</el-button>
            <el-button>确认</el-button>
            <el-button>&lt;</el-button>
            <el-button>&gt;</el-button>
      </div>
    </div>
</template>

<style>
  input.el-input__inner
  {
    display:inline;
    width:120pt;
    margin-right: 12pt;
  }

  .box-redio-span
  {
    display: inline-block;
    padding-right:12pt ;
  }
  .box-card {
    margin: 16px;
    width: 640px;
  }
</style>

<script>
export default {
  name: "IvrQuestionMaint",
  data() {
    return {
      //dw_2:null,
      radio:0,
      question:{
        subject:"Element如何解决v-for和v-if不能在一个标签上使用",
        items:[
          {index:2,single:true,label:"xxxx2"},
          {index:3,single:false,label:"xxxx3",input1:true,content:"--222--",placeholder:"请输入具体数据2"},
          {index:4,single:false,label:"xxxx4"},
          {index:1,single:true,label:"其他",input:true,content:"",placeholder:"请输入具体数据"},
        ]
      },
      comps: ['dw_2'],
      apps: []
     };
  },
  components:
  {
    dw_1: ()=>import("@/smartor/dataobject/dw_patarchive_list.vue"),
    dw_3: ()=>import("@/smartor/dataobject/dw_patarchive_list.vue"),
 },
  methods: {
     /** 删除按钮操作 */
    handleMaint(row) {
      
    },
    /** 确认按钮操作 */
    handleOk() {
     }
  }
};
</script>